> ## Documentation Index
> Fetch the complete documentation index at: https://manual.kotanipay.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Generate API Key

> This endpoint is used to generate an the API Key which can be used to authorize transactions and more

Generate an API key that can be used to authorize transactions and other API operations.


## OpenAPI

````yaml GET /api/v3/auth/api-key/secure
openapi: 3.0.0
info:
  title: KOTANI PAY API PLATFORM
  description: ''
  version: '3.0'
  contact: {}
servers:
  - url: https://preview.kotanipay.com
security: []
tags: []
paths:
  /api/v3/auth/api-key/secure:
    get:
      tags:
        - AUTHENTICATION
      summary: Generate API Key.
      description: >-
        This endpoint is used to generate an the API Key which can be used to
        authorize transactions and more
      operationId: AuthController_generateApiKeySecret_api/v3
      parameters: []
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                properties:
                  success:
                    type: boolean
                    example: true
                  message:
                    type: string
                    example: Api-key generated successfully
                  data:
                    $ref: '#/components/schemas/ApiKeyResponseDto'
                    type: object
        '400':
          description: ''
          content:
            application/json:
              schema:
                properties:
                  success:
                    type: boolean
                    example: false
                  message:
                    type: string
                    example: Bad Request
                  data:
                    type: object
                    example: {}
        '403':
          description: ''
          content:
            application/json:
              schema:
                properties:
                  success:
                    type: boolean
                    example: false
                  message:
                    type: string
                    example: Unauthorized
                  data:
                    type: object
                    example: {}
        '404':
          description: ''
          content:
            application/json:
              schema:
                properties:
                  success:
                    type: boolean
                    example: false
                  message:
                    type: string
                    example: Invalid Api Key
                  data:
                    type: object
                    example: {}
        '500':
          description: ''
          content:
            application/json:
              schema:
                properties:
                  success:
                    type: boolean
                    example: false
                  message:
                    type: string
                    example: Internal Server Error
                  data:
                    type: object
                    example: {}
      security:
        - JWT: []
components:
  schemas:
    ApiKeyResponseDto:
      type: object
      properties:
        key:
          type: string
          description: key
          example: 5f9b2c7b9c9d6b0017b4e6b1
      required:
        - key
  securitySchemes:
    JWT:
      scheme: bearer
      bearerFormat: JWT
      type: http

````